From 02c83d9aca479ae221c7feee10c6660392a87605 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 15 Jan 2025 10:14:48 +0000
Subject: [PATCH] libpng: upgrade 1.6.44 -> 1.6.45

---
 .../{libpng_1.6.44.bb => libpng_1.6.45.bb}    | 28 +++++++++++++++++--
 1 file changed, 26 insertions(+), 2 deletions(-)
 rename meta/recipes-multimedia/libpng/{libpng_1.6.44.bb => libpng_1.6.45.bb} (50%)

diff --git a/meta/recipes-multimedia/libpng/libpng_1.6.44.bb b/meta/recipes-multimedia/libpng/libpng_1.6.45.bb
similarity index 50%
rename from meta/recipes-multimedia/libpng/libpng_1.6.44.bb
rename to meta/recipes-multimedia/libpng/libpng_1.6.45.bb
index dce4fadc47..a94ac0329e 100644
--- a/meta/recipes-multimedia/libpng/libpng_1.6.44.bb
+++ b/meta/recipes-multimedia/libpng/libpng_1.6.45.bb
@@ -1,3 +1,27 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE
+# +++ LICENSE
+# @@ -4,8 +4,8 @@
+#  PNG Reference Library License version 2
+#  ---------------------------------------
+#  
+# - * Copyright (c) 1995-2024 The PNG Reference Library Authors.
+# - * Copyright (c) 2018-2024 Cosmin Truta.
+# + * Copyright (c) 1995-2025 The PNG Reference Library Authors.
+# + * Copyright (c) 2018-2025 Cosmin Truta.
+#   * Copyright (c) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson.
+#   * Copyright (c) 1996-1997 Andreas Dilger.
+#   * Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.
+# 
+#
+
 SUMMARY = "PNG image format decoding library"
 DESCRIPTION = "An open source project to develop and maintain the reference \
 library for use in applications that read, create, and manipulate PNG \
@@ -5,13 +29,13 @@ library for use in applications that read, create, and manipulate PNG \
 HOMEPAGE = "http://www.libpng.org/"
 SECTION = "libs"
 LICENSE = "Libpng"
-LIC_FILES_CHKSUM = "file://LICENSE;md5=0fdbfbe10fc294a6fca24dc76134222a"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=5516d77a3cf75f55a0d37254e3e65a20"
 DEPENDS = "zlib"
 
 LIBV = "16"
 
 SRC_URI = "${SOURCEFORGE_MIRROR}/${BPN}/${BPN}${LIBV}/${BP}.tar.xz"
-SRC_URI[sha256sum] = "60c4da1d5b7f0aa8d158da48e8f8afa9773c1c8baa5d21974df61f1886b8ce8e"
+SRC_URI[sha256sum] = "926485350139ffb51ef69760db35f78846c805fef3d59bfdcb2fba704663f370"
 
 MIRRORS += "${SOURCEFORGE_MIRROR}/project/${BPN}/${BPN}${LIBV}/ ${SOURCEFORGE_MIRROR}/project/${BPN}/${BPN}${LIBV}/older-releases/"
 
-- 
2.44.1

